Bug 1926479 (CVE-2021-26910)

Summary: CVE-2021-26910 firejail: root privilege escalation
Product: [Other] Security Response Reporter: Guilherme de Almeida Suckevicz <gsuckevi>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: odubaj
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-02-09 04:09:40 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1926480    
Bug Blocks:    

Description Guilherme de Almeida Suckevicz 2021-02-08 20:53:16 UTC
Firejail is a SUID security sandbox program that reduces the risk of security breaches by restricting the running environment of untrusted applications using Linux namespaces and seccomp-bpf. Therefore it may span an OverlayFS over the complete file system, redirecting any file system modifications to a temporary space. Thus malicious sandboxed processes cannot change files on the "real" active file system. To create such a sandbox elevated privileges are required.

When setting up the sandbox Firejail tries to ensure, that the location for temporary OverlayFS file root is not writable by any unprivileged user as that may allow privilege escalation. Due to a race condition this check may report a wrong status and thus both follow symbolic links and use an untrusted directory as source. With crafted content using the untrusted directory allows creation of or granting write access to arbitrary files.

References:
https://www.openwall.com/lists/oss-security/2021/02/08/5
https://unparalleled.eu/publications/2021/advisory-unpar-2021-0.txt
https://unparalleled.eu/blog/2021/20210208-rigged-race-against-firejail-for-local-root/

Upstream patch:
https://github.com/netblue30/firejail/commit/97d8a03cad19501f017587cc4e47d8418273834b

Comment 1 Guilherme de Almeida Suckevicz 2021-02-08 20:53:31 UTC
Created firejail tracking bugs for this issue:

Affects: fedora-all [bug 1926480]

Comment 2 Product Security DevOps Team 2021-02-09 04:09:40 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.